Name:           cockpit-image-builder
Version:        69
Release:        1.20250616111453714820.pr3314.13.ga5e77240%{?dist}
Summary:        Image builder plugin for Cockpit

License:        Apache-2.0
URL:            http://osbuild.org/
Source0:        cockpit-image-builder-70.tar.gz

Obsoletes:      cockpit-composer < 54
Provides:       cockpit-composer = %{version}-%{release}

BuildArch:      noarch
BuildRequires:  gettext
BuildRequires:  libappstream-glib
BuildRequires:  make
BuildRequires:  nodejs

Requires:       cockpit
Requires:       cockpit-files
Requires:       osbuild-composer >= 131

%description
The image-builder-frontend generates custom images suitable for
deploying systems or uploading to the cloud. It integrates into Cockpit
as a frontend for osbuild.

%prep
%setup -q -n cockpit-image-builder

%build
# Nothing to build

%install
%make_install PREFIX=/usr
# drop source maps, they are large and just for debugging
find %{buildroot}%{_datadir}/cockpit/ -name '*.map' | xargs --no-run-if-empty rm --verbose

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

%files
%doc cockpit/README.md
%license LICENSE
%{_datadir}/cockpit/cockpit-image-builder
%{_datadir}/metainfo/*

%changelog
# the changelog is distribution-specific, therefore there's just one entry
# to make rpmlint happy.

* Mon Jun 16 2025 Packit <hello@packit.dev> - 69-1.20250616111453714820.pr3314.13.ga5e77240
- ImagesTable: fix main section alignment (Gianluca Zuccarelli)
- build(deps-dev): bump @babel/core from 7.26.10 to 7.27.4 (dependabot[bot])
- ReviewStep: fix alignment (Gianluca Zuccarelli)
- ImageTable: fix blueprint list cards (Gianluca Zuccarelli)
- Wizard: remove public clouds if none available (Gianluca Zuccarelli)
- cockpit: fix fonts (Gianluca Zuccarelli)
- cockpit: page section wrapper for entrypoint (Gianluca Zuccarelli)
- sharedComponents: tidy up image-builder-header (Gianluca Zuccarelli)
- CloudStatus: disable analytics for on-prem (Gianluca Zuccarelli)
- .github: run test workflows on merge_group (Sanne Raymaekers)
- Blueprints: disable analytics for on-prem delete (Anna Vítová)
- .tekton: support merge queues (Sanne Raymaekers)
- Post release version bump (schutzbot)

* Mon Jan 13 2025 Image Builder team <osbuilders@redhat.com> - 0-1
- The changelog was added to the rpm spec file.
